aboutsummaryrefslogtreecommitdiffstats
path: root/extraconfig/post_deploy/rhel-registration/scripts/rhel-unregistration
diff options
context:
space:
mode:
authorSteven Hardy <shardy@redhat.com>2015-04-09 15:01:08 +0100
committerJames Slagle <jslagle@redhat.com>2015-05-07 16:55:36 -0400
commitc799b2e04ea7e2fb0266484fd435782b5f6d3fbf (patch)
tree4b37f77873c104e1048bd8037d665e737d956ad8 /extraconfig/post_deploy/rhel-registration/scripts/rhel-unregistration
parentad0f3a3e44adad1bd8aaaa580197e3c68f327388 (diff)
post-deploy hook for rhel registration
Adds a potential usage of the post-deploy hooks to register a server with RHN or a satellite. Note this requires some additional parameters, which can be specified in environment_rhel_reg.yaml, and this must be passed into the call to heat via another -e parameter. An alternative may be to have a global extraconfig_env.yaml at the top level, which the scripts always pass, or to use the global environment (/etc/heat/environment.d/default.yaml) on the seed. Co-Authored-By: James Slagle <jslagle@redhat.com> Change-Id: Ia6fd270122cbc2e51beb672654e5e1ebd3bd2966
Diffstat (limited to 'extraconfig/post_deploy/rhel-registration/scripts/rhel-unregistration')
-rw-r--r--extraconfig/post_deploy/rhel-registration/scripts/rhel-unregistration19
1 files changed, 19 insertions, 0 deletions
diff --git a/extraconfig/post_deploy/rhel-registration/scripts/rhel-unregistration b/extraconfig/post_deploy/rhel-registration/scripts/rhel-unregistration
new file mode 100644
index 00000000..1e72e0a6
--- /dev/null
+++ b/extraconfig/post_deploy/rhel-registration/scripts/rhel-unregistration
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+set -eux
+set -o pipefail
+
+case "${REG_METHOD:-}" in
+ portal|satellite)
+ # Allow unregistration to fail.
+ # We don't want to fail stack deletes if unregistration fails.
+ subscription-manager unregister || true
+ subscription-manager clean || true
+ ;;
+ disable)
+ echo "Disabling RHEL unregistration"
+ ;;
+ *)
+ echo "WARNING: only 'portal', 'satellite', and 'disable' are valid values for REG_METHOD."
+ exit 0
+esac